<div *ngIf="game; else notFound">
  <div class="headline">{{'GAME_EDIT' | translate:this.game}}</div>

  <div class="container">

    <form (ngSubmit)="onFormSubmit()" [formGroup]="gameForm">

      <label>
        {{'GAME_NAME' | translate}}
        <input type="text" formControlName="gameName" required>
      </label>

      <div formGroupName="teams">
        <h3>{{'TEAMS' | translate}}</h3>

        <span (click)="addTeam()" class="btn" title="Neues Team hinzufügen">{{'ADD_TEAM' | translate}}</span>
        <div *ngFor="let team of teams.controls; let i=index" formGroupName="{{i}}">

          <input type="hidden" formControlName="id">
          <input type="hidden" formControlName="points">

          <label>
            {{'TEAM_NAME' | translate}}
            <input type="text" formControlName="name">
          </label>

          <label>
            {{'TEAM_COLOR' | translate}}
            <input type="color" formControlName="color">
          </label>

          <button (click)="deleteTeam(i)" class="btn"
                  title="Dieses Team entfernen?">{{'REMOVE_TEAM' | translate}}</button>

        </div>
      </div>
      <button type="submit" [disabled]="!gameForm.valid" class="btn btn--success">{{'SAVE_GAME' | translate}}</button>
    </form>

    <div class="game-loaded">
      <div *ngIf="game.questions" class="game-categories">
        <hr/>
        <h3>{{'CATEGORIES' | translate}}</h3>
        <div *ngFor="let q of game.questions;" class="game-category">
          {{q.name}} ({{q.questions.length}} {{'QUESTIONS' | translate}})
        </div>
      </div>
    </div>

    <hr/>

    <div class="edit__footer">
      <a routerLink="/controller" class="btn">{{'BACK_TO_OVERVIEW' | translate}}</a>
      <button (click)="deleteGame()" class="btn btn--default">{{'REMOVE_GAME' | translate}}</button>
    </div>
  </div>

</div>
<ng-template #notFound>
  <div class="headline">{{'GAME_NOT_FOUND' | translate}}</div>
  <div class="container">
    {{'GAME_NOT_FOUND_INTRODUCTION}} <br/><a routerLink="/controller">{{'BACK_TO_OVERVIEW' | translate}}</a>
  </div>
</ng-template>
